Bug 1567496 - [abrt] control-center: gcm_prefs_calib_apply_cb(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: gcm_prefs_calib_apply_cb(): gnome-control-center kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:187ddc1336a1d67b171e6f8725a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 10:37 UTC by Berend De Schouwer
Modified: 2018-11-30 21:10 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:10:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (57.71 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: core_backtrace (21.71 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: dso_list (29.22 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: environ (2.09 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: maps (130.76 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: mountinfo (3.81 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: open_fds (1.89 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-14 10:37 UTC, Berend De Schouwer
no flags Details

Description Berend De Schouwer 2018-04-14 10:37:06 UTC
Description of problem:
Calibrate the colour of a display twice.

If the first calibration fails, calibrating again results in a segfault.

Version-Release number of selected component:
1:control-center-3.26.2-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gcm_prefs_calib_apply_cb
executable:     /usr/bin/gnome-control-center
journald_cursor: s=adcb9d893ee94929adfd307ad85ee786;i=6c85f3;b=6d3cff70dc2e45a0aa0fa50b6212de25;m=860e37e51d;t=569cbf2efe731;x=404e627378cfabf8
kernel:         4.15.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gcm_prefs_calib_apply_cb at cc-color-panel.c:316
 #5 on_assistant_apply at gtkassistant.c:1062
 #6 _g_closure_invoke_va at gclosure.c:867
 #9 gtk_button_do_release at gtkbutton.c:1843
 #10 gtk_real_button_released at gtkbutton.c:1961
 #11 _g_closure_invoke_va at gclosure.c:867
 #14 multipress_released_cb at gtkbutton.c:666
 #15 ffi_call_unix64 at ../src/x86/unix64.S:76
 #16 ffi_call at ../src/x86/ffi64.c:525
 #17 g_cclosure_marshal_generic_va at gclosure.c:1604

Comment 1 Berend De Schouwer 2018-04-14 10:37:11 UTC
Created attachment 1421743 [details]
File: backtrace

Comment 2 Berend De Schouwer 2018-04-14 10:37:13 UTC
Created attachment 1421744 [details]
File: cgroup

Comment 3 Berend De Schouwer 2018-04-14 10:37:16 UTC
Created attachment 1421745 [details]
File: core_backtrace

Comment 4 Berend De Schouwer 2018-04-14 10:37:19 UTC
Created attachment 1421746 [details]
File: cpuinfo

Comment 5 Berend De Schouwer 2018-04-14 10:37:22 UTC
Created attachment 1421747 [details]
File: dso_list

Comment 6 Berend De Schouwer 2018-04-14 10:37:24 UTC
Created attachment 1421748 [details]
File: environ

Comment 7 Berend De Schouwer 2018-04-14 10:37:26 UTC
Created attachment 1421749 [details]
File: exploitable

Comment 8 Berend De Schouwer 2018-04-14 10:37:28 UTC
Created attachment 1421750 [details]
File: limits

Comment 9 Berend De Schouwer 2018-04-14 10:37:32 UTC
Created attachment 1421751 [details]
File: maps

Comment 10 Berend De Schouwer 2018-04-14 10:37:34 UTC
Created attachment 1421752 [details]
File: mountinfo

Comment 11 Berend De Schouwer 2018-04-14 10:37:36 UTC
Created attachment 1421753 [details]
File: open_fds

Comment 12 Berend De Schouwer 2018-04-14 10:37:38 UTC
Created attachment 1421754 [details]
File: proc_pid_status

Comment 13 mertensb.mazda 2018-04-22 08:57:58 UTC
Similar problem has been detected:

After the first attempt to calibrate the colours on my laptop monitor failed I tried to start calibration again.
The first test was the medium calibration, the second test (which caused this crash) was the short calibration.

I'm using an Gretag-Macbeth AG Eye-One display i1 calibration device

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        gnome-control-center color
crash_function: gcm_prefs_calib_apply_cb
executable:     /usr/bin/gnome-control-center
journald_cursor: s=1c4b08b4442343f989767af9606fdbe0;i=fc87;b=936b2e4863074d849912406057066225;m=bd521636;t=56a6bfb8e49cc;x=72aa0b83167b5e6f
kernel:         4.15.17-300.fc27.x86_64
package:        1:control-center-3.26.2-2.fc27
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1026

Comment 14 Ben Cotton 2018-11-27 16:04:33 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 21:10:20 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.